//
//  YHActivityDetailModel.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/25.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityDetailModel: YHActivityModel {
//    var cover : String = "" //活动封面
//    var name : String = ""  //活动标题
//    var tag : Int = 0       //活动标签枚举 1：V专享
//    var beginTime : String = "" //开始时间戳
//    var endTime : String = ""   //结束时间戳
//    var place : String = ""     //活动地点
//    var id : Int = 0        //活动ID
//    var status : String = ""    //活动的状态 1：立即报名 2：已报名 3：活动结束 4：已取消报名
    
    var tips : String = ""      //温馨提示
    var guidance : String = "" //交通引导
    var introduce : String = "" //活动介绍
    var posters : [String] = [] //活动海报
    
    var businessCardName : String = "" //报名人姓名
    
    // 自定义
    var coverItems:[YHActivityCoverItem] = []

    
    func getImageInfo() {
        self.coverItems.removeAll()
        coverItems.removeAll()
        for (_, url) in self.posters.enumerated() {
            let item = YHActivityCoverItem()
            item.url = url
            coverItems.append(item)
        }
    }
}
